// Oleg Petruny proprietary.

#pragma once

#include "InputAnimatedWidgetInterface.h"
#include "ResolutionResponsiveUserWidget.h"

#include "CutsceneSkipWidget.generated.h"

DECLARE_DYNAMIC_DELEGATE(FSkipCutsceneDelegate);

UCLASS(Blueprintable, Abstract)
class UCutsceneSkipWidget : public UResolutionResponsiveUserWidget, public IInputAnimatedWidgetInterface
{
    GENERATED_BODY()

public:
    FSkipCutsceneDelegate skipCutsceneDelegate;

    UPROPERTY(meta = (BindWidget))
    class UTextBlock* keyText;

protected:
    UFUNCTION(BlueprintCallable)
    void SkipCutscene() { skipCutsceneDelegate.Execute(); }

};
